Bug 519482

Summary: Review Request: zikula-module-feeds - RSS feeds module for zikula
Product: [Fedora] Fedora Reporter: Rahul Sundaram <sundaram>
Component: Package ReviewAssignee: Toshio Ernie Kuratomi <a.badger>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: a.badger, fdc, fedora-package-review, notting, smohan
Target Milestone: ---Flags: a.badger: fedora-review+
tibbs: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-10 21:41:24 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Rahul Sundaram 2009-08-26 19:05:38 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/zikula-module-feeds.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/zikula-module-feeds-2.1-1.fc12.src.rpm
Description: 
RSS feeds module for Zikula Application Framework

Comment 1 Toshio Ernie Kuratomi 2009-08-27 01:05:26 UTC
Quick prereview:
* Licensing looks good.. Probably should be GPL+ or GPLv2+ though -- there's no mention of which GPL version in this package.  zikula itself says it's GPLv2+.
* Same comment about source as zikula-module-pagemaster -- since the link is generated everytime a download is requested, you need to have a comment that tells how to get the source instead of the URL in the Source0 (since that won't work for subsequent downloaders).

I see nothing in here that will need extra work.  I'll do a full review of this tonight or tomorrow if no one else gets to it first.

Comment 2 Toshio Ernie Kuratomi 2009-08-27 19:05:52 UTC
Good:                                                            

* rpmlint:
  zikula-module-feeds.noarch: W: no-documentation

  There is no documentation in the upstream tarball so this is fine.

* Package is named according to the naming Guidelines
* spec file is named after the package.              
* License is good.  (either GPL+ or GPLv2+)          
* Spec file is legible.                              
* Sources match upstream -- but see below.  Also note, since the zip file is
  created dynamically when a download is requested, md5sums do not match.  This
  is due to timestamps differing, not differences in the code.                 
* Builds in koji on EPEL-5 and rawhide.                                        
* not a shared library                                                         
* not content
* not relocatable
* Package owns all directories it creates.
* macros used consistently
* Permissions set correctly
* rm -rf %{buildroot} run at appropriate times.

NEEDSWORK:
* Change the license tag to GPL+ or GPLv2+ -- the code itself only references
  the GPL, so it would be GPL+.  However, this depends on zikula so it might
  be GPLv2+ like zikula.
* Since the source isn't retrievable by a direct URL, you need a Source0: line
  with the name of the zip file and then a comment that tells where to go to
  get the Source.

When you do these two things, I'll approve this.

Optional:
* No license file in the zip file.  Query upstream to see if they'll include
  one in their next release.

Comment 3 Rahul Sundaram 2009-08-27 20:51:16 UTC
http://sundaram.fedorapeople.org/packages/zikula-module-feeds.spec
http://sundaram.fedorapeople.org/packages/zikula-module-feeds-2.1-2.fc12.src.rpm

Will query upstream about including a copy of the license. Anything else?

Comment 4 Toshio Ernie Kuratomi 2009-08-28 04:12:24 UTC
Looks good.

APPROVED

Comment 5 Rahul Sundaram 2009-08-28 04:23:32 UTC
New Package CVS Request
=======================
Package Name: zikula-module-feeds
Short Description: RSS feeds module for zikula 
Owners: sundaram
Branches: EL-5
InitialCC

Comment 6 Jason Tibbitts 2009-08-28 14:39:33 UTC
CVS done.

Comment 7 Fran├žois Cami 2013-01-10 21:41:24 UTC
Built in Koji:
http://koji.fedoraproject.org/koji/packageinfo?packageID=9103
Closing review request.